commit:     8f17285b9d0a9d2aeebca4579b00e865757e1466
Author:     Frits Letteboer <dagraver <AT> gmail <DOT> com>
AuthorDate: Sun May 12 06:11:26 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon May 13 06:49:12 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f17285b

sys-kernel/pf-sources: add 6.8_p9

Signed-off-by: Frits Letteboer <dagraver <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/36648
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 sys-kernel/pf-sources/Manifest                 |  1 +
 sys-kernel/pf-sources/pf-sources-6.8_p9.ebuild | 94 ++++++++++++++++++++++++++
 2 files changed, 95 insertions(+)

diff --git a/sys-kernel/pf-sources/Manifest b/sys-kernel/pf-sources/Manifest
index a03c9cd5bf3b..1c7a68a80af1 100644
--- a/sys-kernel/pf-sources/Manifest
+++ b/sys-kernel/pf-sources/Manifest
@@ -13,3 +13,4 @@ DIST linux-6.8-pf5.tar.gz 234552841 BLAKE2B 
87247f718fa88f6cb3071d2ebd85d89e506d
 DIST linux-6.8-pf6.tar.gz 234549951 BLAKE2B 
ca15c7e8223ce99ddcb00e6099e49c7dd0b433ac46d7c922bf37b416b6a29bcba544f180713d60dc29fc5f4b0c21f02c4360044e6da949f3116b1a066284ecb6
 SHA512 
e6639ddc59c2d2c7234ba44fe44b8a66b39187130aa4555345cb25d5f478f85c56f7611b6f6b61ffe46e6bf2e7aae1b46d6b53ee1242de79b8d094dcaec5c3b1
 DIST linux-6.8-pf7.tar.gz 234556415 BLAKE2B 
311e5099dfe887df66b007d160f7b52d3fea8a36fa84906e464377764732bb11ec4f14e268cc10c432ced04200b7cfc0a52230b1a77502054e006cf6c69d4da7
 SHA512 
529daca0ef5bba7beb9c05d1c12e5211c75bf0c3f18169addbe71f3509ce2658d26bb3e32d416d14befe9a80998ed163ca796443bd955ba592368c4e8d516d85
 DIST linux-6.8-pf8.tar.gz 234558692 BLAKE2B 
e4c7322d80a3aad75e726abd61dfc096ea6d585726a1801677a17556227f9ee225ec05e7db1c228dbb8614717ec48dd40fd5666b3be2c7470219523932c68c20
 SHA512 
02da0dc7cfc93359c9d27595caa6c4c31c710c5c2809804fc6f0f58206e14a55bae4e36d808a83142eff32ad6dccebf72283cd3cebe3f8ac2c886349693d927f
+DIST linux-6.8-pf9.tar.gz 234558324 BLAKE2B 
1eacf22d0ef283305dcae2770f24ced70cdbcb3c79c2b420d9807d681f8522c8fca1e3034267a95165fb137bd88fe439f7070c81df68edb4d5f97526d4f2c9a9
 SHA512 
11e9b7735bbc8a90c6fa5ef0399d6283311f8fd4a49889cc5dbfa10e3dfd1b1bffb81e87fb456189a3069396c92d276ef1c30511d4b714dbbb8cfeda9e623031

diff --git a/sys-kernel/pf-sources/pf-sources-6.8_p9.ebuild 
b/sys-kernel/pf-sources/pf-sources-6.8_p9.ebuild
new file mode 100644
index 000000000000..80660c1bf637
--- /dev/null
+++ b/sys-kernel/pf-sources/pf-sources-6.8_p9.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Define what default functions to run.
+ETYPE="sources"
+
+# Use genpatches but don't include the 'experimental' use flag.
+K_EXP_GENPATCHES_NOUSE="1"
+
+# Genpatches version to use. -pf patch set already includes vanilla linux 
updates. Regularly "1"
+# is the wanted value here, but the genpatches patch set can be bumped if it 
includes some
+# important fixes. src_prepare() will handle deleting the updated vanilla 
linux patches.
+# See https://archives.gentoo.org/gentoo-kernel/ (or subscribe to the list) to 
see all patches.
+K_GENPATCHES_VER="12"
+
+# -pf patch set already sets EXTRAVERSION to kernel Makefile.
+K_NOSETEXTRAVERSION="1"
+
+# pf-sources is not officially supported/covered by the Gentoo security team.
+K_SECURITY_UNSUPPORTED="1"
+
+# Define which parts to use from genpatches - experimental is already included 
in the -pf patch
+# set.
+K_WANT_GENPATCHES="base extras"
+
+# Major kernel version, e.g. 5.14.
+SHPV="${PV/_p*/}"
+
+# Replace "_p" with "-pf", since using "-pf" is not allowed for an ebuild name 
by PMS.
+PFPV="${PV/_p/-pf}"
+
+inherit kernel-2 optfeature
+detect_version
+
+DESCRIPTION="Linux kernel fork that includes the pf-kernel patchset and 
Gentoo's genpatches"
+HOMEPAGE="https://pfkernel.natalenko.name/
+       https://dev.gentoo.org/~mpagano/genpatches/";
+SRC_URI="https://codeberg.org/pf-kernel/linux/archive/v${PFPV}.tar.gz -> 
linux-${PFPV}.tar.gz
+       ${GENPATCHES_URI}"
+
+S="${WORKDIR}/linux-${PFPV}"
+
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+
+K_EXTRAEINFO="For more info on pf-sources and details on how to report 
problems,
+       see: ${HOMEPAGE}."
+
+pkg_setup() {
+       ewarn ""
+       ewarn "${PN} is *not* supported by the Gentoo Kernel Project in any 
way."
+       ewarn "If you need support, please contact the pf developers directly."
+       ewarn "Do *not* open bugs in Gentoo's bugzilla unless you have issues 
with"
+       ewarn "the ebuilds. Thank you."
+       ewarn ""
+
+       kernel-2_pkg_setup
+}
+
+src_unpack() {
+       # Since the Codeberg-hosted pf-sources include full kernel sources, we 
need to manually override
+       # the src_unpack phase because kernel-2_src_unpack() does a lot of 
unwanted magic here.
+       unpack ${A}
+
+       mv linux linux-${PFPV} || die "Failed to move source directory"
+}
+
+src_prepare() {
+       # When genpatches basic version is bumped, it also includes vanilla 
linux updates. Those are
+       # already in the -pf patch set, so need to remove the vanilla linux 
patches to avoid conflicts.
+       if [[ ${K_GENPATCHES_VER} -ne 1 ]]; then
+               find "${WORKDIR}"/ -type f -name '10*linux*patch' -delete ||
+                       die "Failed to delete vanilla linux patches in 
src_prepare."
+       fi
+
+       # kernel-2_src_prepare doesn't apply PATCHES(). Chosen genpatches are 
also applied here.
+       eapply "${WORKDIR}"/*.patch
+       default
+}
+
+pkg_postinst() {
+       # Fixes "wrongly" detected directory name, bgo#862534.
+       local KV_FULL="${PFPV}"
+       kernel-2_pkg_postinst
+
+       optfeature "userspace KSM helper" sys-process/uksmd
+}
+
+pkg_postrm() {
+       # Same here, bgo#862534.
+       local KV_FULL="${PFPV}"
+       kernel-2_pkg_postrm
+}

Reply via email to